import _omit from "ramda/src/omit";
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import styled from 'styled-components';
var CleanTextarea = React.forwardRef(function (props, ref) {
  return React.createElement("textarea", _extends({
    ref: ref
  }, _omit(['color', 'colorFn', 'display', 'error', 'fullWidth', 'hasError', 'size', 'sizeProp', 'success'], props)));
});
export var Textarea = styled(CleanTextarea).withConfig({
  displayName: "NormalizedTextarea__Textarea",
  componentId: "sc-i5on9-0"
})(["font-family:inherit;font-size:100%;line-height:1.15;margin:0;overflow:auto;"]);